Creates a collection of quotes for a proposed payment.
Tutorials
- Learn how to Create a quote.
Create quote collection request
The amount for which you wish to receive a collection of quotes.
The type of amount for which you want to get a quote.
| Enum Value | Description |
|---|---|
| SOURCE_AMOUNT | Specify this value to get a quote for the amount that you want to send. |
| DESTINATION_AMOUNT | Specify this value to get a quote for the amount that the beneficiary should receive. |
The currency code of the currency that you are sending.
The currency code of the currency in which your beneficiary will receive this payment.
The country code of the country from where you are sending the funds. This is an ISO 3166-1 alpha-2 code.
The country where the beneficiary is located specified in Alpha-2 Code format as defined in the ISO CountryCode ISO 3166-1 list. If the beneficiary is an individual, then this value is their country of residence. If the beneficiary is an institution, then this value is their the country of incorporation.
The name of the payout category.
| Enum Value | Description |
|---|---|
| BANK | Indicates that the payout will be made in fiat currency to a recipient’s bank account through local banking rails. |
| CRYPTO | Indicates that the payout will be made in stablecoin to a recipient’s crypto wallet address. |
The name of the pay in category indicating how this payment will be funded. The values FUNDED and T_PLUS_ONE are deprecated and will be removed in a future release.
| Enum Value | Description |
|---|---|
| PRE_FUNDING | Indicates that the payment is being made from funds you've deposited with Ripple. |
| CREDIT_FUNDING | Indicates the payment is being made and you will pay the outstanding invoice. |
| JIT_FUNDING | Indicates that the payment is being made and you will pay the outstanding amount before the payment expires. |
| FUNDED | Indicates that the payment is being made from funds you've deposited with Ripple. |
| T_PLUS_ONE | Indicates the payment is being made and you will pay the outstanding invoice. |
- Mock serverhttps://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/quotes/quote-collection
- UAT environment with simulated currencyhttps://api.test.ripple.com/v2/quotes/quote-collection
- Production environmenthttps://api.ripple.com/v2/quotes/quote-collection
curl -i -X POST \
https://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/quotes/quote-collection \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"quoteAmount": 123.45,
"quoteAmountType": "SOURCE_AMOUNT",
"sourceCurrency": "USD",
"destinationCurrency": "MXN",
"sourceCountry": "US",
"destinationCountry": "PH",
"payoutCategory": "BANK",
"payinCategory": "PRE_FUNDING",
"destinationBlockchainNetwork": "Ethereum"
}'{ "quoteCollectionId": "11111111-aaaa-2222-bbbb-222222222222", "quotes": [ { … } ] }